Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Native Development


Thank you for visiting the BlackBerry Support Community Forums.

BlackBerry will be closing the BlackBerry Support Community Forums Device Forums on April 1st (Developers, see below)

BlackBerry remains committed to providing excellent customer support to our customers. We are delighted to direct you to the CrackBerry Forums, a well-established and thorough support channel, for continued BlackBerry support. Please visit http://forums.crackberry.com or http://crackberry.com/ask. You can also continue to visit BlackBerry Support or the BlackBerry Knowledge Base for official support options available for your BlackBerry Smartphone.

"When we launched CrackBerry.com 10 years ago, we set out to make it a fun and useful destination where BlackBerry Smartphone owners could share their excitement and learn to unleash the full potential of their BlackBerry. A decade later, the CrackBerry community is as active and passionate as ever and I know our knowledgeable members and volunteers will be excited to welcome and assist more BlackBerry owners with their questions."

- Kevin Michaluk, Founder, CrackBerry.com

Developers, for more information about the BlackBerry Developer Community please review Join the Conversation on the BlackBerry Developer Community Forums found on Inside BlackBerry.


Reply
Developer
Posts: 23
Registered: ‎05-29-2012
My Device: PlayBook
My Carrier: NA

Re: How to configure Qt Creator 2.6?

bump

 

I got the Playbook NDK mostly working with QtCreator 2.6 but one incredibly annoying issue that persists is that creator itself doesn't pick up the available libs in the NDK. So specifically if I try doing something like "#include <iostream>", I won't get autocomplete, the 'std' namespace won't be detected as being valid, etc.

 

It compiles and deploys fine though.

Highlighted
Developer
Posts: 195
Registered: ‎05-09-2012
My Device: Playbook, Z10 LE

Re: How to configure Qt Creator 2.6?

Not at all. I am currently using the old precompiled sdk (shame). I hope for official release that would work.

New Developer
Posts: 9
Registered: ‎01-12-2013
My Device: Z10 LE, PlayBook, Q10
My Carrier: Vodafone AU, Telstra

Re: How to configure Qt Creator 2.6?

[ Edited ]

Hi guys, 

 

I'm not sure if this is still relevant but I've set up the environment to be using Qt Creator 2.7 and it works fine.

 

You simply need to tell QtC where the BB NDK is (yes you will need to install that as well) and give it your keys, debug token etc, 

 

Then it will work, except for auto completion of code.

 

I followed the guides here and it works well :-)

 

http://qt-project.org/wiki/Setting-up-Qt-Creator-for-BlackBerry-and-QNX

https://qt-project.org/wiki/Qt-Creator-with-BlackBerry-10